Bug 1857399 - Events page leftover resource chip after clearing
Summary: Events page leftover resource chip after clearing
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Zac Herman
QA Contact: XiaochuanWang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-15 19:32 UTC by Gina Doyle
Modified: 2020-09-11 01:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Screenshots of the flow of how to get the bug (57.48 KB, image/png)
2020-07-15 19:32 UTC, Gina Doyle
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6259 None closed Bug 1857399: Fix chip to show All when no other selected 2020-09-10 01:48:27 UTC

Description Gina Doyle 2020-07-15 19:32:54 UTC
Created attachment 1701294 [details]
Screenshots of the flow of how to get the bug

Description of problem:

On the Events page, after clearing a single resource chip (the "x" related to a single resource rather than the "x" of the resource chip group), a "resource" chip is left stranded after closing and there is no way of getting rid of it.

Version-Release number of selected component (if applicable):

4.6

How reproducible:

Always

Steps to Reproduce:
1. Go to events page
2. Add a resource (ex. APIServer)
3. Click on the "x" within the white resource chip
4. You should see a gray chip that says "Resource" that does not allow you to interact with it

Actual results:
Gray chip that says "Resource" that does not allow you to interact with it

Expected results:
"Resource" chip group with the "All" white chip within the group. This should be the same result you would get by clicking the "x" on the gray chip group (rather than the individual chip).

Additional info:

Comment 1 Zac Herman 2020-08-20 21:53:48 UTC
Moving to next sprint as this has not been QA'ed.

Comment 4 XiaochuanWang 2020-09-10 07:37:03 UTC
Removing "All" chip is just like removing any other filter chip, will show all resources.
Also "All Resources" is entirely removed from the dropdown.

Checked the discuss in PR and this is the expected. So this issue could be Verified on 4.6.0-0.nightly-2020-09-09-224210

The only thing is the "All" chip is automatically added for initial filter. Is it a little confused?

Comment 5 Zac Herman 2020-09-10 16:48:48 UTC
(In reply to XiaochuanWang from comment #4)
> 
> The only thing is the "All" chip is automatically added for initial filter.
> Is it a little confused?

We did discuss the "All" chip on initial load and decided we would leave it that way for now so it was clear we were showing all to users when they first got to page.

Comment 6 XiaochuanWang 2020-09-11 01:19:47 UTC
Thanks Zan, then this issue could be Verified on 4.6.0-0.nightly-2020-09-09-224210


Note You need to log in before you can comment on or make changes to this bug.